{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":23447,"path":"intelligent-experiences/increase-payload-limit-ad.md","title":"Increase payload limit through system properties in AI Desktop Actions","bundle":null,"doc_type":null,"release":"australia","body":"\n# Increase payload limit through system properties in AI Desktop Actions\n\nBy default, maximum 10 MB of file size is allowed in a scripted REST API request payload. Increase the payload limit to 15 MB by creating system properties in the global scope.\n\n## Before you begin\n\nYou must do this procedure in the ServiceNow instance.\n\nRole required: system admin\n\n## About this task\n\nIf you already have these properties configured for your instance, you can update the value to 15 MB to increase the limit.\n\n## Procedure\n\n1.  Navigate to **All**.\n\n2.  In the filter navigator, enter `sys_properties.list`.\n\n3.  In the System Properties table, select **New** to add the **glide.rest.max\\_content\\_length** property.\n\n    1.  On the form, fill in the fields.\n\n        |Field|Description|Value|\n        |-----|-----------|-----|\n        |Name|Name of this system property|glide.rest.max\\_content\\_length|\n        |Description|Explanation for this property|For example: `Revised payload for a scripted REST request body.`|\n        |Type|Data type of this system property|integer|\n        |Value|The maximum size, in megabytes, for a scripted REST request body. The default value is 10 MB.|15|\n\n    2.  Select **Submit**.\n\n4.  In the System Properties table, select **New** to add the **glide.rest.scripted.max\\_inbound\\_content\\_length\\_mb** property.\n\n    1.  On the form, fill in the fields.\n\n<table id=\"table_lj2_vpz_d3c\"><thead><tr><th>\n\nField\n\n</th><th>\n\nDescription\n\n</th><th>\n\nValue\n\n</th></tr></thead><tbody><tr><td>\n\nName\n\n</td><td>\n\nName of this system property\n\n</td><td>\n\nglide.rest.scripted.max\\_inbound\\_content\\_length\\_mb\n\n</td></tr><tr><td>\n\nDescription\n\n</td><td>\n\nExplanation for this property\n\n</td><td>\n\nFor example: `Revised payload for a scripted REST request body.`\n\n</td></tr><tr><td>\n\nType\n\n</td><td>\n\nData type of this system property\n\n</td><td>\n\ninteger\n\n</td></tr><tr><td>\n\nValue\n\n</td><td>\n\nThe maximum size, in megabytes, for a scripted REST request body. The default value is 10 MB.**Note:** Even if glide.rest.scripted.max\\_inbound\\_content\\_length\\_mb is set, the request body is limited to the value of glide.rest.max\\_content\\_length.\n\n</td><td>\n\n15\n\n</td></tr></tbody>\n</table>    2.  Select **Submit**.\n\n\n"}}